import 'package:example/generated/l10n.dart';
import 'package:example/router/app_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:get/get_navigation/src/root/get_material_app.dart';
import 'package:get/get_navigation/src/routes/transitions_type.dart';
import 'package:wise_util/wise_util.dart';

void main() async {
  await WiseUtil.init();

  runApp(GetMaterialApp(
    ///主题样式
    theme: ThemeData(
      brightness: Brightness.light,
      primaryColor: Colors.blue,
    ),

    ///深色模式主题样式
    darkTheme: ThemeData(
      brightness: Brightness.dark,
      primaryColor: Colors.blue,
    ),

    ///初始化页面
    initialRoute: AppRoute.pageHome,

    ///指定应用路由
    getPages: AppRoute.pages,

    ///国际化
    localizationsDelegates: [
      S.delegate,
      GlobalMaterialLocalizations.delegate,
      GlobalCupertinoLocalizations.delegate,
      GlobalWidgetsLocalizations.delegate,
      WiseLocalizations.delegate
    ],
    supportedLocales: S.delegate.supportedLocales,

    ///过渡动画
    defaultTransition: Transition.cupertino,

    ///点击空白隐藏键盘,全局初始化EasyLoading
    builder: (context, child) {
      child = Scaffold(
        body: GestureDetector(
          onTap: () {
            FocusScopeNode currentFocus = FocusScope.of(context);
            if (!currentFocus.hasPrimaryFocus &&
                currentFocus.focusedChild != null) {
              FocusManager.instance.primaryFocus?.unfocus();
            }
          },
          child: child,
        ),
      );

      ///不随系统改变字体大小
      child = MediaQuery(
          data: MediaQuery.of(context).copyWith(textScaleFactor: 1.0),
          child: child);
      return child;
    },
  ));
}
