import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:wise_util/widget/wise_pull_to_refresh.dart';

import 'pull_to_refresh_controller.dart';

class PullToRefreshPage extends StatelessWidget {
  PullToRefreshPage({Key? key}) : super(key: key);

  final controller = Get.find<PullToRefreshController>();

  List<String> list = ["1", "2", "3"];

  @override
  Widget build(BuildContext context) {
    return GetBuilder<PullToRefreshController>(
      assignId: true,
      builder: (controller) {
        return Scaffold(
          appBar: AppBar(
            title: Text("pull-to-refresh"),
          ),
          body: Container(
            width: Get.width,
            height: Get.height,
            child: WisePullToRefresh(
              enablePullUp: true,
              enablePullDown: true,
              child: ListView.separated(
                  itemBuilder: (BuildContext context, int index) {
                    return Text(list[index]);
                  },
                  separatorBuilder: (BuildContext context, int index) {
                    return Divider();
                  },
                  itemCount: list.length),
            ),
          ),
        );
      },
    );
  }
}
