import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:get/get.dart';
import 'package:wise_util/util/http/http_manager.dart';
import 'package:wise_util/util/screen/screen_util.dart';
import 'package:wise_util/util/sp_util.dart';

export 'config/wise_config.dart';
export 'res/wise_color.dart';
export 'res/wise_localizations.dart';
export 'res/wise_style.dart';
export 'util/formatter/currency_formatter.dart';
export 'util/formatter/datetime_formatter.dart';
export 'util/formatter/number_formatter.dart';
export 'util/http/http_manager.dart';
export 'util/http/http_response_data.dart';
export 'util/permission_util.dart';
export 'util/screen/screen_size_extension.dart';
export 'util/screen/screen_util.dart';
export 'util/sp_util.dart';
export 'widget/wise_box.dart';
export 'widget/wise_button.dart';
export 'widget/wise_digital_keyboard.dart';
export 'widget/wise_loading.dart';
export 'widget/wise_multi_state/wise_multi_state_widget.dart';
export 'widget/wise_pull_to_refresh.dart';
export 'widget/wise_snackbar.dart';
export 'wise_util.dart';

class WiseUtil {
  static Future<void> init() async {
    WidgetsFlutterBinding.ensureInitialized();

    ///屏幕适配初始化
    ScreenUtil.init(
      BoxConstraints(maxWidth: Get.width, maxHeight: Get.height),
      designSize: Size(360, 780),
      orientation: Orientation.portrait,
    );

    ///初始化SP
    await SpUtil.getInstance();

    ///注入HttpManager
    Get.put(HttpManager());

    ///强制应用竖屏显示
    SystemChrome.setPreferredOrientations(
        [DeviceOrientation.portraitUp, DeviceOrientation.portraitDown]);

    ///透明沉浸式状态栏
    SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle(
      statusBarColor: Colors.transparent,
      systemNavigationBarColor: Colors.black,
    ));
  }
}
